[Commits] [SCM] claws branch, master, updated. 3.15.0-67-gc8e4c10

claws at claws-mail.org claws at claws-mail.org
Fri Jun 16 11:05:21 CEST 2017


The branch, master has been updated
       via  c8e4c10674d1abee12764bf67fc0bda2e4a4fea9 (commit)
      from  9ac3e5f952f6d0a8de663c4df44af59f30a0e20f (commit)

Summary of changes:
 AUTHORS           |    1 +
 autogen.sh        |   19 ++++++++++++++++---
 src/gtk/authors.h |    1 +
 3 files changed, 18 insertions(+), 3 deletions(-)


- Log -----------------------------------------------------------------
commit c8e4c10674d1abee12764bf67fc0bda2e4a4fea9
Author: Paul <paul at claws-mail.org>
Date:   Fri Jun 16 10:05:15 2017 +0100

    fix building on MAC. fixes bug 3835, 'autogen.sh fails with invalid test on line 33'
    
    fix by Michael Vilain <michael at vilain.com>

diff --git a/AUTHORS b/AUTHORS
index f84b2cc..a387e3f 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -312,3 +312,4 @@ contributors (in addition to the above; based on Changelog)
 	Darac Marjal
 	Ashish Gupta
 	Olivier Brunel
+	Michael Vilain
diff --git a/autogen.sh b/autogen.sh
index 093adb3..f2f62c9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,9 +12,9 @@ if [ "$bisonver" = "" ]; then
 fi
 
 if [ "$LEX" != "" ]; then
-	flexver=`$LEX --version|sed "s/.* //"`
+	flexver=`$LEX --version|awk '{print $2}'`
 else
-	flexver=`flex --version|sed "s/.* //"`
+	flexver=`flex --version|awk '{print $2}'`
 fi
 
 if [ "$flexver" = "" ]; then
@@ -36,8 +36,21 @@ else
 	fi
 fi
 
+case `uname` in
+	Darwin*)
+		if [ "`glibtoolize --version`" = "" ]; then
+			echo MacOS requires glibtool from either Macport or brew
+			exit 1
+		fi
+		LIBTOOL="glibtoolize --force --copy"
+		;;
+	*)
+		LIBTOOL="libtoolize --force --copy"
+		;;
+esac
+
 aclocal -I m4 \
-  && libtoolize --force --copy \
+  && ${LIBTOOL} \
   && autoheader \
   && automake --add-missing --foreign --copy \
   && autoconf 
diff --git a/src/gtk/authors.h b/src/gtk/authors.h
index f5d958c..7f8c09c 100644
--- a/src/gtk/authors.h
+++ b/src/gtk/authors.h
@@ -294,6 +294,7 @@ static char *CONTRIBS_LIST[] = {
 "Petr Vanek",
 "Jeroen Versteeg",
 "Kevin Vigor",
+"Michael Vilain",
 "Johan Vromans",
 "Botalov Vyacheslav",
 "Radek Vybiral",

-----------------------------------------------------------------------


hooks/post-receive
-- 
Claws Mail


More information about the Commits mailing list